### Property

# Gtk CssProvider:prefers-reduced-motion

since: 4.22

#### Declaration

    property prefers-reduced-motion: Gtk.ReducedMotion [ read, write ]

#### Description [src]

Define the type of reduced motion to use for the user interface.

When set to `GTK_REDUCED_MOTION_REDUCE` the UI is rendered in with reduced motion animations.

When set to `GTK_REDUCED_MOTION_NO_PREFERENCE` (the default), the user interface will be rendered in default mode.

This setting is be available for media queries in CSS:

    @media (prefers-reduced-motion: reduce) {
      // some style with reduced motion
    }

Changing this setting will reload the style sheet.

Type:`GtkReducedMotion`

Available since: 4.22

Default value | GTK_REDUCED_MOTION_NO_PREFERENCE

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no